
set echo on

CREATE TABLE parent_partitioned_table
( x INT
, y INT
, z INT
, CONSTRAINT ppt_pk 
     PRIMARY KEY (x,y)
)
PARTITION BY LIST (y)
( PARTITION p1 VALUES (10)
, PARTITION p2 VALUES (20)
, PARTITION p3 VALUES (30) );

CREATE TABLE child_partitioned_table
( x  INT
, y  INT
, px INT
, CONSTRAINT cpt_pk 
     PRIMARY KEY (x,y)
, CONSTRAINT cpt_fk 
     FOREIGN KEY (px,y) 
     REFERENCES parent_partitioned_table (x,y)
)
PARTITION BY LIST (y)
( PARTITION p1 VALUES (10)
, PARTITION p2 VALUES (20)
, PARTITION p3 VALUES (30) );


